Sword of Damocles: Warlords is a A-Historical Medieval Full Conversion for M&B Warband. It is a Sequel and a improved port of the the Sword of Damocles Modification on Classic M&B. This mod is based around the time of the fall of the knight and the rise of the mercenary.

Report content Sword of Damocles: Warlords (TC) v3.89 Full
Filename
sod_warlords_3.89_full.exe
Category
Full Version
Uploader
Computica
Date
Size
347.98mb (364,888,505 bytes)
Downloads
18,823 (2 today)
MD5 Hash
96105dc129a8f2c9c54f7736d6bb48f9
Embed Button
Embed Widget
Description

Sword of Damocles - Warlords(Test Combatant) v3.89 Full By: Computica SOD TEAM 2011 ***DOWNLOAD v3.90 PATCH***

Preview
Sword of Damocles: Warlords (TC) v3.89 Full
Comments
[$#!T-Happens]
[$#!T-Happens]

downloading....

Reply Good karma Bad karma+2 votes
maximi1337
maximi1337

cool^^

Reply Good karma Bad karma+2 votes
PuddingDeity
PuddingDeity

I hope that the patch notes aren't showing all the changes with a version jump like that (and a standalone download). :3

Reply Good karma Bad karma+2 votes
PuddingDeity
PuddingDeity

Even more after seeing the large jump in file size :3

Reply Good karma Bad karma+3 votes
Computica Author
Computica

>:) hehehe

Reply Good karma+2 votes
Who_The_Hell?
Who_The_Hell?

OMG! I've been waiting long for this! :D

Downloading now...

Reply Good karma Bad karma+3 votes
Computica Author
Computica

Make sure you Download Patch 3.90 after you download this!

Reply Good karma+1 vote
wronglongdeath
wronglongdeath

mine in every seconds jumped out the game even i use patch but its bring close program error
what should i do?

Reply Good karma Bad karma+1 vote
Computica Author
Computica

Get the Beta 2 Patch:
Forums.taleworlds.com

All the major bugs are fixed. After I'm done adding a few more features I'll release an official patch on ModDB.

Reply Good karma+1 vote
wronglongdeath
wronglongdeath

i use beta 2 but runtime error is my new problem like in brytenwalda

Reply Good karma Bad karma+1 vote
wronglongdeath
wronglongdeath

this version is 3.89 but beta 2 and last patch is update from 3.88 to 91 and 3.88 to 90 are u sure about this?because i see a lot of error like this:
get_object failed mesh:prt_yrellow_leaf_a

Reply Good karma Bad karma+1 vote
Computica Author
Computica

Make sure you installed the open beta 2 patch in the same directory of the full install.

When I say 3.88 to 3.91B2 that means you can have any version as early as 3.88 and up. So if you have 3.89 full the open beta will update it to the current version, just as it will for 3.88 or 3.90.

If you have anything lower than 3.88 then the patch will not work.

Also make sure the patch is installed into the SAME folder!

Reply Good karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.

Icon
Mount & Blade: Warband
Creator
Computica
Contact
Send Message
Release date
Mod watch
Start tracking
File
Browse
Files
Share
Related Games
Mount & Blade: Warband
Mount & Blade: Warband Role Playing